Get Perform Web Task Status
curl --request GET \
--url https://api.anchorbrowser.io/v1/tools/perform-web-task/{workflowId}/status \
--header 'anchor-api-key: <api-key>'import requests
url = "https://api.anchorbrowser.io/v1/tools/perform-web-task/{workflowId}/status"
headers = {"anchor-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'anchor-api-key': '<api-key>'}};
fetch('https://api.anchorbrowser.io/v1/tools/perform-web-task/{workflowId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": "COMPLETED",
"result": {
"nodes_cpu_usage": [
{
"node": "pool-e1ro5g0nq-559g5",
"cluster": "do-nyc1-demo-infra",
"cpu_avg_percentage": 8.29
},
{
"node": "pool-e1ro5g0nq-559gk",
"cluster": "do-nyc1-demo-infra",
"cpu_avg_percentage": 24.8
}
]
}
}
}AI Tools
Get Perform Web Task Status
Get the status of an asynchronous perform-web-task execution by workflow ID.
GET
/
v1
/
tools
/
perform-web-task
/
{workflowId}
/
status
Get Perform Web Task Status
Authorizations
API key passed in the header
Path Parameters
The workflow ID returned when starting an asynchronous perform-web-task execution.
Response
The current status of the task execution.
- success
- running
- failed
Show child attributes
Show child attributes
Was this page helpful?
⌘I

